Subject: Re: bug#57764: Corrupted store on top on Debian, you want the output

From: [email-masked]
Date: Wed, 12 Oct 2022 18:30:37 +0000

September 15, 2022 2:59 AM, "Maze" <[email-masked]> wrote:

> I corrupted my store and it says you want the guix pull output, so
> please find it at the end of this message. Mostly I send it because guix
> asks, but (see below) at least 2 things broke on that machine, not sure
> it's related. I have to explain a little but I don't actually require or
> expect that a lot of indivudually-tailored help can be given by GNU in
> this case... It's a non-standard use case on more than one account.
> 
> I have been doing more than a few unsupported things with this installation.
> Over the week-end and Monday, 3 things stand out:
> 
> * I have been starting to use guix home on this guix which is not a guix
> system but which is on top of Debian. I have some user shepherd
> services. They still work as I'm writing this. I think this is
> unsupported though.
> 
> * I tried to install a guix system to a thumb drive. It is inconvenient
> to use the ISO so I decided to do it from Guix on top of Debian. When I

I personally do not understand your usecase.  For me, installing the 
guix system installer on a usb is as simple as:

wget https://path/to/guix/installer.iso
sudo dd if=installer.iso of=/dev/sdb status=progress && sync

I would rather do than than to try to build a custom iso image.  :)

Also do you wanna just take the plunge and install guix system?

It's super worth it!

It has been the most stable distro that I have ever used.

Thanks,

Joshua